Query subchannels by user group
Retrieve the list of subchannels bound to a specified user group with pagination. Returns subchannel IDs.
Request method
POST: https://Base URL/v4/community-channel/user-group/subchannel/list
Rate limit: 100 requests per second
Signature required: All server API requests require signature verification. See API request signature.
Request body
The request body is in application/json format and supports the following parameters:
| Parameter | Type | Required | Description |
|---|---|---|---|
channelId | String | Yes | The community channel ID. |
userGroupId | String | Yes | The user group ID. |
page | Number | No | Page number. Defaults to 1. |
pageSize | Number | No | Items per page. Defaults to 10. Maximum 50. |
Request example
HTTP
POST /v4/community-channel/user-group/subchannel/list HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/json
{
"channelId": "abc",
"userGroupId": "userGroupId",
"page": 2,
"pageSize": 20
}
Response
| Field | Type | Description |
|---|---|---|
code | Number | Status code. 0 indicates success. |
result.subchannelIds | Array | List of subchannel IDs. |
Response example
HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"code": 0,
"result": {
"subchannelIds": [
"busChannel1",
"busChannel2"
]
}
}